import { Color, TextRegion } from "@common/display/text"
import { Resources } from "@common/rpg/utils/resources";

export const PLAYER_SPRITE = [
    Resources.add("player", new TextRegion('@', Color.YELLOW)),
];

export const DOOR_SPRITE = [
    Resources.add("door_n", new TextRegion('┘ └')),
    Resources.add("door_e", new TextRegion(['└', ' ', '┌'])),
    Resources.add("door_s", new TextRegion('┐ ┌')),
    Resources.add("door_w", new TextRegion(['┘', ' ', '┐'])),
    Resources.add("door_u", new TextRegion('^', Color.CYAN)),
    Resources.add("door_d", new TextRegion('_', Color.GREEN)),
];

export const ITEM_SPRITE = [
    Resources.add("key_m", new TextRegion('ъ', Color.MAGENTA)),
    Resources.add("key_y", new TextRegion('ъ', Color.YELLOW)),
    Resources.add("key_c", new TextRegion('ъ', Color.CYAN)),
    Resources.add("key_g", new TextRegion('ъ', Color.GREEN)),
];
